Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

# Interface LaunchDefinition

public interface LaunchDefinition
Defines the necessary context for launching the JUnit platform for running tests.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassLoader`
  `getClassLoader()`
  `List<String>`
  `getExcludeTags()`
  `List<String>`
  `getIncludeTags()`
  `List<ListenerDefinition>`
  `getListeners()`
  `List<TestDefinition>`
  `getTests()`
  `boolean`
  `isHaltOnFailure()`
  `boolean`
  `isPrintSummary()`

- ## Method Details

  - ### getTests

    List<TestDefinition> getTests()
    Returns:
      Returns the `tests` that have to be launched

  - ### getListeners

    List<ListenerDefinition> getListeners()
    Returns:
      Returns the default `listeners` that will be used for the tests, if the `tests` themselves don't specify any

  - ### isPrintSummary

    boolean isPrintSummary()
    Returns:
      Returns true if a summary needs to be printed out after the execution of the tests. False otherwise.

  - ### isHaltOnFailure

    boolean isHaltOnFailure()
    Returns:
      Returns true if any remaining tests launch need to be stopped if any test execution failed. False otherwise.

  - ### getClassLoader

    ClassLoader getClassLoader()
    Returns:
      Returns the `ClassLoader` that has to be used for launching and execution of the tests

  - ### getIncludeTags

    List<String> getIncludeTags()
    Returns:
      Returns the list of tags which will be used to evaluate tests that need to be included in the test execution

  - ### getExcludeTags

    List<String> getExcludeTags()
    Returns:
      Returns the list of tags which will be used to evaluate tests that need to be excluded from the test execution